Subject: RE: [Sipping] I-D ACTION:draft-fujimoto-sipping-header-lang-00.txt

From: "Eric Burger" <[email-masked]>
Date: Wed, 2 Oct 2002 16:33:17 -0400

in inline :-)

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Jonathan Rosenberg
> Sent: Monday, September 30, 2002 1:22 AM
[snip]
>
> Header-Lang: contact;index=1;lang="de",contact;index=2;lang="es"
>
> which says that the first contact header is in german, and the second,
> in spanish.
>
> This approach has the same benefits as the out-of-band approach of XML;
> if the tag or even the extension is not understood, the headers are
> rendered as if there were no language tags present. They will be shown
> properly without any escaping.

Elegant solution, but it seems way too complicated for the problem.  I still
vote that if you cannot render language tags, nothing seriously bad happens
anyway.  The UAS should just display what it gets, tags and all.

> >> * multiple languages in one header - This is getting really obscure.
> >> Other proposals that do language tagging (such as CPIM msgfmt
> >>
> http://www.ietf.org/internet-drafts/draft-ietf-impp-cpim-msgfmt-06.txt)
> >> don't do this. Do we really need it?
> >
> >
> > I think yes. From CJK code problem, we can not use Japanese title with
> > Chinese word in UTF-8.
> >
> > For example, the travel agency may use the chinese town name as
> the part
> > of tour name in Japanese.
> >
> > For another example, some of my Japanese friends uses compound From
> > header in E-mail to express their name in English and Japanese in one
> > header. That header can adapt both Japanese capable terminal
> and English
> > only terminal, and eliminates the operation to switch between two
> > versions of 'From' header.
>
> No other protocol I am aware of supports mixed language tagging like
> this. In fact, AFAICT, no XML-based document will be able to do this.
> The granularity of the language tags are per-element, and cannot be
> finer than that. I do not believe we need to do better than XML as far
> as language tagging is concerned.

XML clearly can do it: it is how SSML works...

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP